idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

IRTS.Compiler

Description

Synopsis

- compile :: Codegen -> FilePath -> Maybe Term -> Idris CodegenInfo
- generate :: Codegen -> FilePath -> CodegenInfo -> IO ()

# Documentation

compile :: Codegen -> FilePath -> Maybe Term -> Idris CodegenInfo #

Compile to simplified forms and return CodegenInfo

generate :: Codegen -> FilePath -> CodegenInfo -> IO () #